DeluxHostAPI Reference
Support tickets

Download a ticket attachment

GET
/v1/tickets/{id}/attachments/{attId}

Ownership is checked before file access. Attachments on internal staff notes are never exposed, including for administrator-owned personal tokens. Attachment errors may be plain text.

Authorization

apiToken tickets:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: tickets:read

Path Parameters

id*number
attId*number

Response Body

Completed

response?fileapplication/octet-stream
Formatbinary
curl -X GET 'https://api.deluxhost.net/v1/tickets/0/attachments/0' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
"string"